OpenCV: Background Segmentation

| OpenCV 3.4.2 Open Source Computer Vision

Classes | Functions
Background Segmentation
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision

## Classes
class | cv::cuda::BackgroundSubtractorMOG
| Gaussian Mixture-based Background/Foreground Segmentation Algorithm. More...
class | cv::cuda::BackgroundSubtractorMOG2
| Gaussian Mixture-based Background/Foreground Segmentation Algorithm. More...

## Functions
Ptr< cuda::BackgroundSubtractorMOG > | cv::cuda::createBackgroundSubtractorMOG (int history=200, int nmixtures=5, double backgroundRatio=0.7, double noiseSigma=0)
| Creates mixture-of-gaussian background subtractor. More...
Ptr< cuda::BackgroundSubtractorMOG2 > | cv::cuda::createBackgroundSubtractorMOG2 (int history=500, double varThreshold=16, bool detectShadows=true)
| Creates MOG2 Background Subtractor. More...

## Detailed Description

## Function Documentation

## ◆ createBackgroundSubtractorMOG()

Ptr<cuda::BackgroundSubtractorMOG> cv::cuda::createBackgroundSubtractorMOG | ( | int | history = `200`,
|  | int | nmixtures = `5`,
|  | double | backgroundRatio = `0.7`,
|  | double | noiseSigma = `0`
| ) |  |

Creates mixture-of-gaussian background subtractor.

Parameters

  history | Length of the history.
  nmixtures | Number of Gaussian mixtures.
  backgroundRatio | Background ratio.
  noiseSigma | Noise strength (standard deviation of the brightness or each color channel). 0 means some automatic value.

## ◆ createBackgroundSubtractorMOG2()

Ptr<cuda::BackgroundSubtractorMOG2> cv::cuda::createBackgroundSubtractorMOG2 | ( | int | history = `500`,
|  | double | varThreshold = `16`,
|  | bool | detectShadows = `true`
| ) |  |

Creates MOG2 Background Subtractor.

Parameters

  history | Length of the history.
  varThreshold | Threshold on the squared Mahalanobis distance between the pixel and the model to decide whether a pixel is well described by the background model. This parameter does not affect the background update.
  detectShadows | If true, the algorithm will detect shadows and mark them. It decreases the speed a bit, so if you do not need this feature, set the parameter to false.